Bug 1530572 - RFE: add an option not to enable autosuspend for certain devices
Summary: RFE: add an option not to enable autosuspend for certain devices
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: powertop
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-03 11:29 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-11-30 19:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:03:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1482649 None None None Never

Internal Links: 1482649

Description Dominik 'Rathann' Mierzejewski 2018-01-03 11:29:56 UTC
Description of problem:
Running powertop --auto-tune is a great way to reduce power consumption by enabling autosuspend for all USB devices. Unfortunately, some USB devices don't perform well with autosuspend enabled, especially keyboards and mice (for example Logitech K800, M570 and M325, all with a Unifying Receiver). Having an option not to enable USB autosuspend for these devices when using --auto-tune would make their users' life easier.

Version-Release number of selected component (if applicable):
2.9-3.fc27

How reproducible:
Always.

Steps to Reproduce:
1. With one of the above devices connected, run powertop --auto-tune

Actual results:
The device suspends too quickly (e.g. in the middle of typing a password) and it takes noticeable time to wake it up again.

Expected results:
The device doesn't get autosuspended.

Additional info:
See bug #1482649.

Comment 1 Jaroslav Škarvada 2018-01-03 11:51:25 UTC
It's a good idea, but it's better to address it upstream.

Blacklist will probably not work, maybe better would be to skip all HID devices, and add new parameter e.g. --auto-tune-hid to forcibly enable autosuspend for HID devices.

FYI fine grained control is possible with the powertop2tuned tool from the 'tuned' package. It creates Tuned profile from the powertop suggestions and you can manually enable just what you need (e.g keep the problematic HID devices from auto-suspending). The Tuned profile is automatically applied on each boot.

Comment 2 Jaroslav Škarvada 2018-01-03 11:53:28 UTC
(In reply to Jaroslav Škarvada from comment #1)
> FYI fine grained control is possible with the powertop2tuned tool from the
> 'tuned' package. It creates Tuned profile from the powertop suggestions and
> you can manually enable just what you need (e.g keep the problematic HID
> devices from auto-suspending). The Tuned profile is automatically applied on
> each boot.

The tool is actually provided by the 'tuned-utils' package.

Comment 3 Ben Cotton 2018-11-27 17:36:15 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 19:03:22 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.